Package edu.msu.cme.rdp.classifier.rrnaclassifier

## Class ClassificationParser

- java.lang.Object
- - edu.msu.cme.rdp.classifier.rrnaclassifier.ClassificationParser

    public class ClassificationParser
    extends java.lang.Object

### Constructor Summary

Constructors
`ClassificationParser​(java.io.File f, ClassifierFactory classifierFactory)`
`ClassificationParser​(java.io.InputStream is, ClassifierFactory classifierFactory)`
`ClassificationParser​(java.io.Reader reader)`
`ClassificationParser​(java.lang.String fileName, ClassifierFactory classifierFactory)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `close()`
`HierarchyTree` `getRoot()`
`ClassificationResult` `next()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ClassificationParser

    public ClassificationParser​(java.lang.String fileName,
                                ClassifierFactory classifierFactory)
                         throws java.io.FileNotFoundException

Throws:
  `java.io.FileNotFoundException`

#### ClassificationParser

    public ClassificationParser​(java.io.File f,
                                ClassifierFactory classifierFactory)
                         throws java.io.FileNotFoundException

Throws:
  `java.io.FileNotFoundException`

#### ClassificationParser

    public ClassificationParser​(java.io.InputStream is,
                                ClassifierFactory classifierFactory)

#### ClassificationParser

    public ClassificationParser​(java.io.Reader reader)

### Method Detail

#### close

    public void close()
               throws java.io.IOException

Throws:
  `java.io.IOException`

#### getRoot

    public HierarchyTree getRoot()

#### next

    public ClassificationResult next()
                              throws java.io.IOException

Throws:
  `java.io.IOException`